{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "ReConfigureDebug",
            "type": "shell",
            "command": [
              "rm -rf ${workspaceFolder}/build &&",
              "mkdir ${workspaceFolder}//build &&",
              "cd ${workspaceFolder}/build && cmake .. -DCMAKE_BUILD_TYPE=Debug"
            ],
            "problemMatcher": []
          },
          {
            "label": "ReConfigureRelease",
            "type": "shell",
            "command": [
                "rm -rf ${workspaceFolder}/build &&",
                "mkdir ${workspaceFolder}//build &&",
                "cd ${workspaceFolder}/build && cmake .. -DCMAKE_BUILD_TYPE=Release"
            ],
            "problemMatcher": []
          },
          {
            "label": "Build",
            "type": "shell",
            "command":
              "cmake --build ${workspaceFolder}/build",
            "group": {
              "kind": "build",
              "isDefault": true
            }
          }
    ]
}